CrispoOption (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.CrispoOption class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class CrispoOption

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.common.server.session.CrispoOption

All Implemented Interfaces:
  java.io.Serializable

    public class CrispoOption

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `CrispoOption()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`protected java.util.List` | `getArray()`
`Crispo` | `getCrispo()`
`java.lang.String` | `getKey()`
`protected java.lang.String` | `getOptionValue()`
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`protected void` | `setArray(java.util.List array)`
`protected void` | `setCrispo(Crispo crispo)`
`protected void` | `setKey(java.lang.String key)`
`protected void` | `setOptionValue(java.lang.String val)`
`protected void` | `setValue(java.lang.String val)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrispoOption

    protected CrispoOption()

Method Detail

### getCrispo

    public Crispo getCrispo()

### setCrispo

    protected void setCrispo(Crispo crispo)

### getKey

    public java.lang.String getKey()

### setKey

    protected void setKey(java.lang.String key)

### getOptionValue

    protected java.lang.String getOptionValue()

### setOptionValue

    protected void setOptionValue(java.lang.String val)

### getValue

    public java.lang.String getValue()

### setValue

    protected void setValue(java.lang.String val)

### setArray

    protected void setArray(java.util.List array)

### getArray

    protected java.util.List getArray()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.